unit Local;

interface

uses ExploreWin, Main, PGNWin, BrettWin, About, PGNSave, Comment,
     uPieces, localconst, ufrmEngines, DialogsLng, uTimeDlg, UfrmMaterial;

const LO_German = 0;
      LO_English = 1;
      {To add a new language,
      increment LO_MessDim and add the strings in the array LOMessArray;
      You might define new constants in the unit "localconst" if you extend the message array}
      LO_MessDim = 2;
      LO_MessMax = 260;

Var   LO_lng : integer;
      LOMess : array[0..LO_MessMax - 1, 0..LO_MessDim - 1] of string =

      (('Handelt es sich bei der neuen Stellung um eine ' + 'Fischer-Random-Chess-Ausgangsstellung?' + #13 +        '(Wenn nicht, mssen alle Rochaderechte zurckgesetzt werden)',
         'Is this the first position of a Fischer-Random-Chess game?' + #13 +        'If you choose "No", there will be reseted castling possibilities.'),{0}
        ('Speichern',
         'Save'),{1}
        ('Bitte ffnen Sie zuerst eine Datenbank, in der diese Partie gespeichert werden soll.',
         'Please open a database at first.'),{2}
        ('3-fache Stellungswiederholung.',
        'Same position occurred three times.'),{3}
        ('50-Zge-Regel.',
        '50-moves-rule.'),{4}
        ('Weiter',
        'Resume'),{5}
        ('RECHTE MAUSTASTE ZUM WEITERRECHNEN',
        'RIGHT MOUSE BUTTON TO RESUME'),{6}
        ('Bitte whlen Sie eine Datenbank, in der diese Partie gespeichert werden soll.',
        'Please choose a database this game shall be saved into.'),{7}
        ('Soll die Datei "',
        'Create new file "'),{8}
        ('" neu angelegt werden?',
        '"?'),{9}
        ('Wirklich lschen?',
        'Are you sure that you want to delete the game(s)?'),{10}
        ('Soll die gesamte Datenbank wirklich gelscht werden?',
        'Are you sure that you want to delete the whole database??'),{11}
        ('Aus dieser Datenbank sind noch Partien geffnet.' + #13 + 'Wird sie geschlossen, mssen Sie diese Partien an diese oder eine andere Datenbank anhngen.' + #13 +       'Soll sie trotzdem geschlossen werden?',
        'Games are opened from this database.If you close it, the games must be appended to this or another database later.Shall this database be closed?'),{12}
        ('',
        ''),{13}
        ('',
        ''),{14}
        ('Die Datenbank "',
        'The database "'),{15}
        ('" ist bereits geffnet.',
        '" is already opened.'),{16}
        ('Markierte Partien werden an die Datei "',
        'Selected games will be appended to "'),{17}
        ('" angehngt.' + #13 + 'Fortfahren?',
        '".' + #13 + 'Continue?'),{18}
        ('Beim Speichern ist ein Fehler aufgetreten.',
        'An error occurred when saving.'),{19}
        ('Beim Laden der Partie ist ein Fehler aufgetreten.',
        'An error occurred when loading.'),{20}
        ('Partie wurde gendert.' + #13 + 'Speichern?',
        'Game was changed.' + #13 + 'Save?'), {21}
        ('',//dummy
        ''),
        ('',
        '&Games'),
        ('',
        ''),
        ('',
        '&Options'),
        ('',
        ''),
        ('',
        '&Window'),
        ('',
        ''),
        ('',
        '&?'),
        ('',
        ''),
        ('',
        '&Open'),
        ('',
        '|Open CCF/PGN-file or create new one'),
        ('&Datenbanken',
        '&Databases'),
        ('Datenbank-Fenster ffnen (F8)',
        'Open database window (F8)'),
        ('',
        '&New game'),
        ('',
        'Create a new game (F4)'),
        ('',
        '&Close window'),
        ('',
        'Close current window'),
        ('',
        '&Exit'),
        ('',
        'Close application'),
        ('',
        'New F&RC game'),
        ('',
        'Create a new Fischer-Random-Chess position (F5)'),
        ('',
        '&English'),
        ('',
        'Activate or deactivate the english language'),
        ('',
        '&Show last move'),
        ('',
        'Activate or deactivate beep'),
        ('',
        '&Animation'),
        ('',
        'Activate or deactivate move animation'),
        ('',
        'Move input via &Click&&Click'),
        ('',
        'Coordinates visible or invisible'),
        ('',
        'Cascade'),
        ('',
        'Cascade'),
        ('',
        'Tile'),
        ('',
        'Tile'),
        ('',
        'Arrange'),
        ('',
        'Arrange'),
        ('',
        'Minimize'),
        ('',
        'Minimize'),
        ('',
        'Cancel'),
        ('',
        'Databases (double click to open a file)'),
        ('Diese Liste akzeptiert Drag&&Drop.',
        '|This list accepts Drag&&Drop of games from a database window'),
        ('',
        'No.'),
        ('',
        'Players'),
        ('',
        'Event'),
        ('',
        'Date'),
        ('',
        'Result'),
        ('',
        '|Sort...'),
        ('',
        'Player:'),
        ('',
        'Event:'),
        ('',
        'White'),
        ('',
        'Black'),
        ('',
        'Both'),
        ('',
        'Date:'),
        ('',
        'Position'),
        ('',
        'Setup'),
        ('',
        'Clear'),
        ('',
        'Filter'),
        ('',
        'Open|Open a CCF/PGN-file or create new one'),
        ('',
        'Filter|Activate or deactivate filter'),
        ('',
        'Drag and Drop|Down = Games will be inserted at mouse position'),
        ('',
        'Print|Print game with diagrams'),
        ('',
        'Delete game'),
        ('',
        'Delete database'),
        ('',
        'Copy diagram'),
        ('',
        'Copy diagram as BMP to clipboard'),
        ('',
        'Copy FEN'),
        ('',
        'Copy position as FEN to clipboard'),
        ('',
        'Print diagram'),
        ('',
        ''),
        ('',
        'Setup'),
        ('',
        'Setup a new position'),
        ('',
        'Paste FEN'),
        ('',
        'Insert position as FEN from clipboard'),
        ('',
        'Rotate'),
        ('',
        'Rotate board'),
        ('',
        'Messages'),
        ('',
        'Activate or deactivate messages about 50-moves-rule etc.'),
        ('',
        'Blindfold'),
        ('',
        'Play with or without the view of pieces'),
        ('',  //dummy
        ''),
        ('',
        'Nothing'),
        ('',
        ''),
        ('',
        'Copy game'),
        ('',
        'Copy game as PGN to clipboard'),
        ('',
        'Paste game'),
        ('',
        'Paste game as PGN from clipboard'),
        ('',
        'Font of moves'),
        ('',
        'Font of moves'),
        ('',
        'Font of commentary'),
        ('',
        'Font of commentary'),
        ('',
        '|Right mouse button for context menu. Move cursor to border line to resize the board.'),
        ('',
        'Append game|Select database and append game'),
        ('',
        'Save game'),
        ('',
        'Game info|Show game info and change it'),
        ('',
        'New game'),
        ('',
        'Previous game'),
        ('',
        'Next game'),
        ('',
        'Undo|Undo last deletion action'),
        ('',
        'Cut moves'),
        ('',
        'Delete variation'),
        ('',
        'Promote variation'),
        ('',
        'Commentary|Insert commentary'),
        ('',
        'Analysis|Activate or deactivate analysis (Press space to force move)'),
        ('',
        'Play (only with MiniMax) / Analysis|Down = Computer replies after inserting move (only with MiniMax; Space to force move)'),
        ('',
        'Go to previous variation'),
        ('',
        '|Previous move'),
        ('',
        '|Next move'),
        ('',
        'Go to next variation'),
        ('',
        'Max. depth'),
        ('',
        'Max. depth'),
        ('',
        'Please choose CCF/PGN-file or enter a new file name'),
        ('',
        'PGN/CCF-files|*.pgn;*.ccf|All files (*.*)|*.*'),
        ('',
        'Light square color'),
        ('',
        'Dark square color'),
        ('',
        'Created with'),
        ('',
        'Pictures of pieces are distributed under'),
        ('',
        'Analysis module is based on MINIMAX' + #13 + 'by Ch. Donninger and D. Steinwender;' + #13 + 'Packed with UPX.'),
        ('',
        'Fischer-Random-Chess-rules'),
        ('',
        '( Do "Fischer-castling" with pressed <Ctrl>-button )'),
        ('',
        'Printing is only possible with installed fonts'),
        ('',
        'Optional parameters:' + #13 + '"compochess.exe c:\xxx.pgn 0"' + #13 + '( = Load first game from file xxx.pgn )' + #13 + 'This makes it useful as pgn viewer on websites -' + #13 + 'choose "Options - Assign extension .pgn"'),
        ('',
        'Insert commentary'),
        ('',
        'Insert diagram'),
        ('',
        'Cancel'),
        ('',
        'Cut moves'),
        ('',
        'Cancel'),
        ('',
        'Cut next moves'),
        ('',
        'Cut previous moves'),
        ('',
        'Game information'),
        ('',
        'White:'),
        ('',
        'Black:'),
        ('',
        'Event:'),
        ('',
        'Site:'),
        ('',
        'Year:'),
        ('',
        'Month:'),
        ('',
        'Day:'),
        ('',
        'Round:'),
        ('',
        'Commentary:'),
        ('',
        'Result:'),
        ('',
        'No result'),
        ('',
        'Save to'),
        ('',
        'Cancel'),
        ('',
        'Language'),
        ('',
        'Configuration'),
        ('',
        'Names of pieces...'),
        ('',
        'Pieces letters'),
        ('',
        'Pieces letters'),
        ('',
        'Cancel'),
        ('',
        'OK'),
        ('',
        'Clear all'),
        ('Allen Partien aus dieser Datenbank wird der ECO-Code zugeordnet.' + #13 + 'Weitermachen?',
        'Now the ECO-code will be assigned to all games of this database.' + #13 + 'Continue?'),
        ('',
        'Analyze openings'),
        ('Hinzufgen',
        'Add'),
        ('Entfernen',
        'Remove'),
        ('Warnung',
        'Warning'),
        ('Fehler',
        'Error'),
        ('Information',
        'Information'),
        ('Besttigen',
        'Confirmation'),
        ('&Ja',
        '&Yes'),
        ('&Nein',
        '&No'),
        ('OK',
        'OK'),
        ('Abbrechen',
        'Cancel'),
        ('A&bbrechen',
        '&Cancel'),
        ('&Wiederholen',
        '&Retry'),
        ('&Ignorieren',
        '&Ignore'),
        ('&Alles',
        '&All'),
        ('&Alle Nein',
        'No to All'),
        ('A&lle Ja',
        'Yes to All'),
        ('&Hilfe',
        '&Help'),
        ('',
        '(select it in "Options" - Merida is recommended for NT)'),
        ('',
        'Font for printing'),
        ('',
        'Select Merida if you use NT'),
        ('',
        'Assign extension .pgn to CompoChess'),
        ('',
        'Fischer-Random-Chess|Hold <Ctrl> to execute Fischer castling'),
        ('',
        '|Next main variation move'),
        ('',
        'Autoplay'),
        ('',
        'Next window (F9)'),
        ('',
        'Thinking time'),
        ('',
        'Minutes +'),
        ('',
        'Seconds per move'),
        ('Das letzte Speichern dieser Datenbank wurde nicht ordnungsgem abgeschlossen. Einige Partien wurden zuvor in der Datei %s gesichert.',
        'The last saving of this database was not finished correctly. Some games were saved in the file %s before.'),
        ('Bedenkzeit von Wei wurde berschritten.',
        'White''s thinking time expired.'),
        ('Bedenkzeit von Schwarz wurde berschritten.',
        'Black''s thinking time expired.'),
        ('Wei zieht',
          'White to move'),
        ('Schwarz zieht',
          'Black to move'),
        ('und hlt Remis',
          'and draw'),
        ('und gewinnt',
          'and win'),
        ('und erreicht Vorteil',
          'and attains an advantage'),
        ('und erhlt Angriff',
          'and gains initiative'),
        ('und wickelt in ein aussichtsreiches Endspiel ab',
          'and forces a good endgame'),
        ('',
          '&Engines ...'),
        ('',
          '&Combinations'),
        ('',
          'Any Difficulty'),
        ('',
          'Easy'),
        ('',
          'Medium'),
        ('',
          'Difficult'),
        ('',
          'Any Theme'),
        ('',
          'Elimination of defender'),
        ('',
          'Distraction'),
        ('',
          'a piece is forced into a bad square'),
        ('',
          'Clearing'),
        ('',
          'Fettering'),
        ('',
          'Interruption'),
        ('',
          'Promotion'),
        ('',
          'Draw combinations'),
        ('',
          'Miscellaneous'),
        ('',
          'Compress database; remove deleted games'),
        ('Fehler in der Datenbank. Eine neue Index-Datei wird nun erstellt - es knnte einige Zeit in Anspruch nehmen.',
        'Error in database. Index file will be recreated - it could take a longer while.'),
        ('Soll die Datenbank komprimiert und gelschte Partien endgltig entfernt werden?',
          'Shall the database be compressed and deleted games irrecoverably be removed?'),
        ('',
        'Note the hints in the status line;' + #13 + 'a pressed CTRL while entering a move creates a variation,' + #13 + 'ALT overwrites the remaining moves.'),
        ('',
        'Informant signs letters'),
        ('',                             
     'Compensation'),
   ('',                                  
     'Counter-attack'),
   ('',                                  
     'Initiative'),
   ('',                                  
     'Attack'),
   ('',                                  
     'Time pressure'),
   ('',                                  
     'Advantage in opening'),
   ('',                                  
     'New opening move'),
   ('',
     'Zugzwang'),
   ('',                                  
     'Only possible move'),
   ('',                                  
     'Evaluation of position/move'),
   ('',                                  
     'With the idea'),
   ('',                                  
     'Better is'),
   ('',
        'Material'),
   ('',
        'Empty'),
   ('Wirklich UNWIDERRUFLICH lschen?',
        'Are you sure that you want to delete the game(s) IRRECOVERABLY?'),
    ('Toolbar unten',
        'Toolbar below'),
       ('',
        'History'),
       ('',
        'New PGN'),
       ('',
        'New CCF'),
     ('Neue Datenbank',
        'New Database'),
     ('Bitte geben Sie einen Dateinamen an:',
        'Please enter a file name:'),
        ('',
        'Other Languages ...'),
        ('',
        'Uninstall CompoChess ...'),
        ('Mchten Sie CompoChess wirklich entfernen?',
        'Do you really want to remove CompoChess?'),
        ('CompoChess wurde deinstalliert.',
          'CompoChess was removed.'),
        ('Bitte beenden Sie zuerst die anderen laufenden CompoChess-Programme.',
         'Please close the other running CompoChess programs before.'),
        ('',
        'Set up only this clock'),
        ('Bitte schlieen Sie zuerst alle Brett-Fenster.',
        'Please close all board windows before.')

        );                               

function  LOGetMess(i : integer) : string;
procedure LOSaveMenuStrings;
procedure LOSaveDataBaseWinStrings(f : TMDIDatabase);
procedure LOSavePGNWinStrings(f : TMDIPGN);
procedure LOSaveBrettWinStrings(f : TMDIBrett);
procedure LOLoadMenuStrings(lng : integer);
procedure LOLoadDataBaseWinStrings(lng : integer; f : TMDIDatabase);
procedure LOLoadPGNWinStrings(lng : integer; f : TMDIPGN);
procedure LOLoadBrettWinStrings(lng : integer; f : TMDIBrett);
procedure LOLoadSaveWinStrings(lng : integer; f : TfPGNSave);
procedure LOLoadCommentWinStrings(lng : integer; f : TKomm);
procedure LOLoadAboutWinStrings(lng : integer; f : TAboutbox);
procedure LOLoadPiecesWinStrings(lng : integer; f : TfrmPieces);
procedure LOLoadEngineWinStrings(lng : integer; f : TfrmEngines);
procedure LOLoadTimeWinStrings(lng : integer; f : TTimeDlg);
procedure LOLoadMaterialWinStrings(lng : integer; f : TfrmMaterial);

implementation

function  LOGetMess(i : integer) : string;
begin
  Result := 'Error';
  if i > LO_MessMax - 1 then exit;
  if LO_lng > LO_MessDim - 1 then exit;
  Result := LOMess[i, LO_lng];
end;

procedure LOSaveMenuStrings;
begin
  if LOMess[LOmPartien, LO_German] = '' then with MainForm do begin
    LOMess[ LOmOptions            ,LO_German] := mOptions.Caption;
    LOMess[ LOmOptionsH           ,LO_German] := mOptions.Hint;
    LOMess[ LOWindow1             ,LO_German] := Window1.Caption;
    LOMess[ LOWindow1H            ,LO_German] := Window1.Hint;
    LOMess[ LOInfo                ,LO_German] := HelpAboutItem.Caption;
    LOMess[ LOInfoH               ,LO_German] := HelpAboutItem.Hint;
    LOMess[ LOmHistory            ,LO_German] := mHistory.Caption;
    LOMess[ LOmHistoryH           ,LO_German] := mHistory.Hint;
    LOMess[ LOmGameOpen           ,LO_German] := mGameOpen.Caption;
    LOMess[ LOmGameOpenH          ,LO_German] := mGameOpen.Hint;
    LOMess[ LOmClose              ,LO_German] := mClose.Caption;
    LOMess[ LOmCloseH             ,LO_German] := mClose.Hint;
    LOMess[ LOmExit               ,LO_German] := mExit.Caption;
    LOMess[ LOmExitH              ,LO_German] := mExit.Hint;
    LOMess[ LOmFRC                ,LO_German] := mNewFRC.Caption;
    LOMess[ LOmFRCH               ,LO_German] := mNewFRC.Hint;
    LOMess[ LOmTon                ,LO_German] := mShowLastMove.Caption;
    LOMess[ LOmTonH               ,LO_German] := mShowLastMove.Hint;
    LOMess[ LOmAnimation          ,LO_German] := mAnimation.Caption;
    LOMess[ LOmAnimationH         ,LO_German] := mAnimation.Hint;
    LOMess[ LOmKoord              ,LO_German] := mClickClick.Caption;
    LOMess[ LOmKoordH             ,LO_German] := mClickClick.Hint;
    LOMess[ LOWindowCascadeItem   ,LO_German] := WindowCascadeItem.Caption;
    LOMess[ LOWindowCascadeItemH  ,LO_German] := WindowCascadeItem.Hint;
    LOMess[ LOWindowTileItem      ,LO_German] := WindowTileItem.Caption;
    LOMess[ LOWindowTileItemH     ,LO_German] := WindowTileItem.Hint;
    LOMess[ LOWindowArrangeItem   ,LO_German] := WindowArrangeItem.Caption;
    LOMess[ LOWindowArrangeItemH  ,LO_German] := WindowArrangeItem.Hint;
    LOMess[ LOWindowMinimizeItem  ,LO_German] := WindowMinimizeItem.Caption;
    LOMess[ LOWindowMinimizeItemH ,LO_German] := WindowMinimizeItem.Hint;
    LOMess[ LOODCaption           ,LO_German] := Opendialog.Title;
    LOMess[ LOODFilter            ,LO_German] := Opendialog.Filter;
    LOMess[ LObStopH              ,LO_German] := bStop.Hint;
    LOMess[ LOmSprache            ,LO_German] := mSprache.Caption;
    LOMess[ LOmOtherLang          ,LO_German] := mOtherLang.Caption;
    LOMess[LOmWhiteSquare ,LO_German]  := mWhiteSquare.Caption;
    LOMess[LOmBlackSquare ,LO_German]  := mBlackSquare.Caption;
    LOMess[LOBrettmFont ,LO_German]  := mFont.Caption;
    LOMess[LOBrettmFontH ,LO_German]  := mFont.Hint;
    LOMess[LOBrettmFontComm ,LO_German]  := mFontComm.Caption;
    LOMess[LOBrettmFontCommH ,LO_German]  := mFontComm.Hint;
    LOMess[LOBrettmFontPrint ,LO_German]  := mFontPrint.Caption;
    LOMess[LOBrettmFontPrintH ,LO_German]  := mFontPrint.Hint;
    LOMess[LOmAssignPGN ,LO_German]  := mAssignPGN.Caption;
    LOMess[LOmUninstall ,LO_German]  := mUninstall.Caption;
    LOMess[LOmNextWinH ,LO_German]  := mNextWin.Hint;
    LOMess[LOEngines1,LO_German]  := Engines1.Caption;
    LOMess[LOmKombis,LO_German]  := mKombis.Caption;
    LOMess[LOBeliebigeSchwierigkeit1,LO_German]  := BeliebigeSchwierigkeit1.Caption;
    LOMess[LOLeicht1,LO_German]  := Leicht1.Caption;
    LOMess[LOMittel1,LO_German]  := Mittel1.Caption;
    LOMess[LOSchwer1,LO_German]  := Schwer1.Caption;
    LOMess[LOBeliebigesThema1,LO_German]  := BeliebigesThema1.Caption;
    LOMess[LOBeseitigungderVerteidigung1,LO_German]  := BeseitigungderVerteidigung1.Caption;
    LOMess[LOAblenkung1,LO_German]  := Ablenkung1.Caption;
    LOMess[LOHinlenkung1,LO_German]  := Hinlenkung1.Caption;
    LOMess[LORumung1,LO_German]  := Rumung1.Caption;
    LOMess[LOFesselung1,LO_German]  := Fesselung1.Caption;
    LOMess[LOUnterbrechung1,LO_German]  := Unterbrechung1.Caption;
    LOMess[LOBauernumwandlung1,LO_German]  := Bauernumwandlung1.Caption;
    LOMess[LORemiskombinationen1,LO_German]  := Remiskombinationen1.Caption;
    LOMess[LOVerschiedenes1,LO_German]  := Verschiedenes1.Caption;
    LOMess[LOmToolbarBelow,LO_German]  := mToolbarBelow.Caption;
  end;
end;

procedure LOSaveDataBaseWinStrings(f : TMDIDatabase);
begin
  if LOMess[ LODBCaption ,LO_German] = '' then with f do begin
    LOMess[ LODBCaption  ,LO_German] := Caption;
    LOMess[ LODBListboxH ,LO_German] := lbDatabase.Hint;
    LOMess[ LOLabel1Caption ,LO_German] := Label1.Caption ;
    LOMess[ LObPGNCaption   ,LO_German] := bPGN.Caption   ;
    LOMess[ LObCCFCaption   ,LO_German] := bCCF.Caption   ;
  end;
end;

procedure LOSaveBrettWinStrings(f : TMDIBrett);
begin
  if LOMess[ LOBrettmDiaCopy ,LO_German]  = '' then with f do begin
    LOMess[ LOBrettmDiaCopy ,LO_German]  := mDiaCopy.Caption;
    LOMess[ LOBrettmDiaCopyH ,LO_German]  := mDiaCopy.Hint;
    LOMess[LOBrettmFENCopy ,LO_German]  := mFENCopy.Caption;
    LOMess[LOBrettmFENCopyH ,LO_German]  := mFENCopy.Hint;
    LOMess[LOBrettmPrint ,LO_German]  := mPrint.Caption;
    LOMess[LOBrettmPrintH ,LO_German]  := mPrint.Hint;
    LOMess[LOBrettmAufbauen ,LO_German]  := mAufbauen.Caption;
    LOMess[LOBrettmAufbauenH ,LO_German]  := mAufbauen.Hint;
    LOMess[LOBrettmInsertFEN ,LO_German]  := mInsertFEN.Caption;
    LOMess[LOBrettmInsertFENH ,LO_German]  := mInsertFEN.Hint;
    LOMess[LOBrettmDrehen ,LO_German]  := mDrehen.Caption;
    LOMess[LOBrettmDrehenH ,LO_German]  := mDrehen.Hint;
    LOMess[LOBrettmMessages ,LO_German]  := mMessages.Caption;
    LOMess[LOBrettmMessagesH ,LO_German]  := mMessages.Hint;
    LOMess[LOBrettBlind1 ,LO_German]  := Blind1.Caption;
    LOMess[LOBrettBlind1H ,LO_German]  := Blind1.Hint;
    LOMess[LOBrettNichts1 ,LO_German]  := Nichts1.Caption;
    LOMess[LOBrettNichts1H  ,LO_German] := Nichts1.Hint;
    LOMess[LOBrettmPGNCopy1 ,LO_German]  := mPGNCopy1.Caption;
    LOMess[LOBrettmPGNCopy1H ,LO_German]  := mPGNCopy1.Hint;
    LOMess[LOBrettmPGNInsert  ,LO_German]  := mPGNInsert.Caption;
    LOMess[LOBrettmPGNInsertH ,LO_German]  := mPGNInsert.Hint;

    LOMess[LOKompensation          ,LO_German]  := mKompensation.Caption;
    LOMess[LOGegenspiel            ,LO_German]  := mGegenspiel.Caption;
    LOMess[LOInitiative            ,LO_German]  := mInitiative.Caption;
    LOMess[LOAngriff               ,LO_German]  := mAngriff.Caption;
    LOMess[LOZeitnot               ,LO_German]  := mZeitnot.Caption;
    LOMess[LOEntwicklungsvorsprung ,LO_German]  := mEntwicklungsvorsprung.Caption;
    LOMess[LONeuerung              ,LO_German]  := mNeuerung.Caption;
    LOMess[LOZugzwang              ,LO_German]  := mZugzwang.Caption;
    LOMess[LOEinzigerZug           ,LO_German]  := mEinzigerZug.Caption;
    LOMess[LOStellungsBewertung    ,LO_German]  := mStellungsBewertung.Caption;
    LOMess[LOMitderIdee            ,LO_German]  := mMitderIdee.Caption;
    LOMess[LOBesserist             ,LO_German]  := mBesserist.Caption;

    LOMess[LOBrettNotation1H  ,LO_German] := Notation1.Hint;
    LOMess[LOBrettsbSaveH  ,LO_German] := sbSave.Hint;
    LOMess[LOBrettsbReplaceH ,LO_German]  := sbReplace.Hint;
    LOMess[LOBrettmGameDataH ,LO_German]  := mGameData.Hint;
    LOMess[LOBrettbNewH ,LO_German]  := bNew.Hint;
    LOMess[LOBrettbPrevH ,LO_German]  := bPrev.Hint;
    LOMess[LOBrettbNextH ,LO_German]  := bNext.Hint;
    LOMess[LOBrettbUndoH ,LO_German]  := bUndo.Hint;
    LOMess[LOBrettbCutH ,LO_German]  := bCut.Hint;
    LOMess[LOBrettbDeleteH ,LO_German]  := bDelete.Hint;
    LOMess[LOBrettmAufwertenH ,LO_German]  := mAufwerten.Hint;
    LOMess[LOBrettbCommentH ,LO_German]  := bComment.Hint;
    LOMess[LOBrettsbAnalyseH ,LO_German]  := sbAnalyse.Hint;
    LOMess[LOBrettsbPlayH ,LO_German]  := sbPlay.Hint;
    LOMess[LOBrettsbPrevH ,LO_German]  := sbPrev.Hint;
    LOMess[LOBrettsbBackH ,LO_German]  := sbBack.Hint;
    LOMess[LOBrettsbAheadH ,LO_German]  := sbAhead.Hint;
    LOMess[LOBrettsbNextH ,LO_German]  := sbNext.Hint;
 //   LOMess[LOBrettlTiefeH ,LO_German]  := lTiefe.Hint;
 //   LOMess[LOBretttbTiefeH ,LO_German]  := tbTiefe.Hint;
    LOMess[LOCutnextmoves ,LO_German]  := mNext.Caption;
    LOMess[LOCutpreviousmoves ,LO_German]  := mPrev.Caption;
    LOMess[LOFRCHint ,LO_German]  := lFRC.Hint;
  end;
end;

procedure LOSavePGNWinStrings(f : TMDIPGN);
begin
  if LOMess[LOPGNNr ,LO_German]  = '' then with f do begin
    LOMess[LOPGNNr ,LO_German]  := HeaderControl.Sections[0].Text;
    LOMess[LOPGNSpieler ,LO_German]  := HeaderControl.Sections[1].Text;
    LOMess[LOPGNQuelle ,LO_German]  := HeaderControl.Sections[2].Text;
    LOMess[LOPGNJahr ,LO_German]  := HeaderControl.Sections[3].Text;
    LOMess[LOPGNErgebnis ,LO_German]  := HeaderControl.Sections[4].Text;
    LOMess[LOPGNHeaderH ,LO_German]  := HeaderControl.Hint;
    LOMess[LOPGNLabel17 ,LO_German]  := Label17.Caption;
    LOMess[LOPGNLabel19 ,LO_German]  := Label19.Caption;
    LOMess[LOPGNrbWeiss ,LO_German]  := rbWeiss.Caption;
    LOMess[LOPGNrbSchwarz ,LO_German]  := rbSchwarz.Caption;
    LOMess[LOPGNrbBeide ,LO_German]  := rbBeide.Caption;
    LOMess[LOPGNcbZeitraum ,LO_German]  := cbZeitraum.Caption;
    LOMess[LOPGNcbPosition ,LO_German]  := cbPosition.Caption;
 //   LOMess[LOPGNbPosition ,LO_German]  := bPosition.Caption;
    LOMess[LOPGNbEmpty ,LO_German]  := bEmpty.Caption;
    LOMess[LOPGNbFilter ,LO_German]  := bFilter.Caption;
    LOMess[LOPGNsbOpenH ,LO_German]  := sbOpen.Hint;
    LOMess[LOPGNsbFilterH ,LO_German]  := sbFilter.Hint;
    LOMess[LOPGNsbDragInsertH ,LO_German]  := sbDragInsert.Hint;
    LOMess[LOPGNbPrintH ,LO_German]  := bPrint.Hint;
    LOMess[LOPGNsbDeleteGameH ,LO_German]  := sbDeleteGame.Hint;
    LOMess[LOPGNbCompressH ,LO_German]  := bCompress.Hint;
    LOMess[LOPGNsbDeleteDatabaseH ,LO_German]  := sbDeleteDatabase.Hint;
    LOMess[LOPGNECOH ,LO_German]  := bECO.Hint;
    LOMess[LOcbMaterial ,LO_German]  := cbMaterial.Caption;
  end;
end;

procedure LOLoadMenuStrings(lng : integer);
begin
  with Mainform do begin
                  mOptions.Caption := LOGetMess(LOmOptions);
                  mOptions.Hint := LOGetMess(LOmOptionsH);
                  Window1.Caption := LOGetMess(LOWindow1);
                  Window1.Hint := LOGetMess(LOWindow1H);
                  HelpAboutItem.Caption := LOGetMess(LOInfo);
                  HelpAboutItem.Hint := LOGetMess(LOInfoH);
                  mHistory.Caption := LOGetMess(LOmHistory);
                  mHistory.Hint :=    LOGetMess(LOmHistoryH);
                  mGameOpen.Caption := LOGetMess(LOmGameOpen);
                  mGameOpen.Hint := LOGetMess(LOmGameOpenH);
                  mClose.Caption := LOGetMess(LOmClose);
                  mClose.Hint := LOGetMess(LOmCloseH);
                  mExit.Caption := LOGetMess(LOmExit);
                  mExit.Hint := LOGetMess(LOmExitH);
                  mNewFRC.Caption := LOGetMess(LOmFRC);
                  mNewFRC.Hint := LOGetMess(LOmFRCH);
                  mShowLastMove.Caption := LOGetMess(LOmTon);
                  mShowLastMove.Hint := LOGetMess(LOmTonH);
                  mAnimation.Caption := LOGetMess(LOmAnimation);
                  mAnimation.Hint := LOGetMess(LOmAnimationH);
                  mClickClick.Caption := LOGetMess(LOmKoord);
                  mClickClick.Hint := LOGetMess(LOmKoordH);
                  WindowCascadeItem.Caption := LOGetMess(LOWindowCascadeItem);
                  WindowCascadeItem.Hint := LOGetMess(LOWindowCascadeItemH);
                  WindowTileItem.Caption := LOGetMess(LOWindowTileItem);
                  WindowTileItem.Hint := LOGetMess(LOWindowTileItemH);
                  WindowArrangeItem.Caption := LOGetMess(LOWindowArrangeItem);
                  WindowArrangeItem.Hint := LOGetMess(LOWindowArrangeItemH);
                  WindowMinimizeItem.Caption := LOGetMess(LOWindowMinimizeItem);
                  WindowMinimizeItem.Hint := LOGetMess(LOWindowMinimizeItemH);
                  Opendialog.Title := LOGetMess(LOODCaption);
                  Opendialog.Filter := LOGetMess(LOODFilter);
                  bStop.Hint := LOGetMess(LObStopH);
                  mSprache.Caption := LOGetMess (LOmSprache );
                  mOtherLang.Caption := LOGetMess (LOmOtherLang );
                  mWhiteSquare.Caption := LOGetMess(LOmWhiteSquare);
                  mBlackSquare.Caption := LOGetMess(LOmBlackSquare);
                  mFont.Caption := LOGetMess(LOBrettmFont);
                  mFont.Hint := LOGetMess(LOBrettmFontH);
                  mFontComm.Caption := LOGetMess(LOBrettmFontComm);
                  mFontComm.Hint := LOGetMess(LOBrettmFontCommH);
                  mFontPrint.Caption := LOGetMess(LOBrettmFontPrint);
                  mFontPrint.Hint := LOGetMess(LOBrettmFontPrintH);
                  mAssignPGN.Caption := LOGetMess(LOmAssignPGN);
                  mUninstall.Caption := LOGetMess(LOmUninstall);
                  mNextWin.Hint := LOGetMess(LOmNextWinH);

    Engines1.Caption := LOGetMess(                   LOEngines1);
    mKombis.Caption := LOGetMess(                    LOmKombis);
    BeliebigeSchwierigkeit1.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht1.Caption := LOGetMess(                    LOLeicht1);
    Mittel1.Caption := LOGetMess(                    LOMittel1  );
    Schwer1.Caption := LOGetMess(                    LOSchwer1    );
    BeliebigesThema1.Caption := LOGetMess(           LOBeliebigesThema1);
    BeseitigungderVerteidigung1.Caption := LOGetMess(LOBeseitigungderVerteidigung1);
    Ablenkung1.Caption := LOGetMess(                 LOAblenkung1);
    Hinlenkung1.Caption := LOGetMess(                LOHinlenkung1 );
    Rumung1.Caption := LOGetMess(                    LORumung1       );
    Fesselung1.Caption := LOGetMess(                 LOFesselung1      );
    Unterbrechung1.Caption := LOGetMess(             LOUnterbrechung1    );
    Bauernumwandlung1.Caption := LOGetMess(          LOBauernumwandlung1   );
    Remiskombinationen1.Caption := LOGetMess(        LORemiskombinationen1   );
    Verschiedenes1.Caption := LOGetMess(             LOVerschiedenes1          );
    mToolbarBelow.Caption := LOGetMess(              LOmToolbarBelow         );

    BeliebigeSchwierigkeit2.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht2.Caption := LOGetMess(                    LOLeicht1);
    Mittel2.Caption := LOGetMess(                    LOMittel1  );
    Schwer2.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit3.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht3.Caption := LOGetMess(                    LOLeicht1);
    Mittel3.Caption := LOGetMess(                    LOMittel1  );
    Schwer3.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit4.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht4.Caption := LOGetMess(                    LOLeicht1);
    Mittel4.Caption := LOGetMess(                    LOMittel1  );
    Schwer4.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit5.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht5.Caption := LOGetMess(                    LOLeicht1);
    Mittel5.Caption := LOGetMess(                    LOMittel1  );
    Schwer5.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit6.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht6.Caption := LOGetMess(                    LOLeicht1);
    Mittel6.Caption := LOGetMess(                    LOMittel1  );
    Schwer6.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit7.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht7.Caption := LOGetMess(                    LOLeicht1);
    Mittel7.Caption := LOGetMess(                    LOMittel1  );
    Schwer7.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit8.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht8.Caption := LOGetMess(                    LOLeicht1);
    Mittel8.Caption := LOGetMess(                    LOMittel1  );
    Schwer8.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit9.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht9.Caption := LOGetMess(                    LOLeicht1);
    Mittel9.Caption := LOGetMess(                    LOMittel1  );
    Schwer9.Caption := LOGetMess(                    LOSchwer1    );

    BeliebigeSchwierigkeit10.Caption := LOGetMess(    LOBeliebigeSchwierigkeit1);
    Leicht10.Caption := LOGetMess(                    LOLeicht1);
    Mittel10.Caption := LOGetMess(                    LOMittel1  );
    Schwer10.Caption := LOGetMess(                    LOSchwer1    );


          CaptionsLng[0]     :=  LOGetMess(LNG_CaptionsLng0);
          CaptionsLng[1]       :=  LOGetMess(LNG_CaptionsLng1);
          CaptionsLng[2]       :=  LOGetMess(LNG_CaptionsLng2);
          CaptionsLng[3]       :=  LOGetMess(LNG_CaptionsLng3);
          ButtonCaptionsLng[0] :=  LOGetMess(LNG_ButtonCaptionsLng0);
          ButtonCaptionsLng[1] :=  LOGetMess(LNG_ButtonCaptionsLng1);
          ButtonCaptionsLng[2] :=  LOGetMess(LNG_ButtonCaptionsLng2);
          ButtonCaptionsLng[3] :=  LOGetMess(LNG_ButtonCaptionsLng3);
          ButtonCaptionsLng[4] :=  LOGetMess(LNG_ButtonCaptionsLng4);
          ButtonCaptionsLng[5] :=  LOGetMess(LNG_ButtonCaptionsLng5);
          ButtonCaptionsLng[6] :=  LOGetMess(LNG_ButtonCaptionsLng6);
          ButtonCaptionsLng[7] :=  LOGetMess(LNG_ButtonCaptionsLng7);
          ButtonCaptionsLng[8] :=  LOGetMess(LNG_ButtonCaptionsLng8);
          ButtonCaptionsLng[9] :=  LOGetMess(LNG_ButtonCaptionsLng9);
          ButtonCaptionsLng[10]:=  LOGetMess(LNG_ButtonCaptionsLng10);
  end;
end;

procedure LOLoadDataBaseWinStrings(lng : integer; f : TMDIDatabase);
begin
  with f do
  begin
    Caption := LOGetMess(LODBCaption);
    lbDatabase.Hint := LOGetMess(LODBListboxH);
    Label1.Caption  := LOGetMess(LOLabel1Caption);
    bPGN.Caption    := LOGetMess(LObPGNCaption  );
    bCCF.Caption    := LOGetMess(LObCCFCaption  );
  end;
end;

procedure LOLoadPGNWinStrings(lng : integer; f : TMDIPGN);
begin
  with f do begin
                  HeaderControl.Sections[0].Text := LOGetMess(LOPGNNr);
                  HeaderControl.Sections[1].Text := LOGetMess(LOPGNSpieler);
                  HeaderControl.Sections[2].Text := LOGetMess(LOPGNQuelle);
                  HeaderControl.Sections[3].Text := LOGetMess(LOPGNJahr);
                  HeaderControl.Sections[4].Text := LOGetMess(LOPGNErgebnis);
                  HeaderControl.Hint := LOGetMess(LOPGNHeaderH);
                  Label17.Caption := LOGetMess(LOPGNLabel17);
                  Label19.Caption := LOGetMess(LOPGNLabel19);
                  rbWeiss.Caption := LOGetMess(LOPGNrbWeiss);
                  rbSchwarz.Caption := LOGetMess(LOPGNrbSchwarz);
                  rbBeide.Caption := LOGetMess(LOPGNrbBeide);
                  cbZeitraum.Caption := LOGetMess(LOPGNcbZeitraum);
                  cbPosition.Caption := LOGetMess(LOPGNcbPosition);
    //              bPosition.Caption := LOGetMess(LOPGNbPosition);
                  bEmpty.Caption := LOGetMess(LOPGNbEmpty);
                  bFilter.Caption := LOGetMess(LOPGNbFilter);
                  sbOpen.Hint := LOGetMess(LOPGNsbOpenH);
                  sbFilter.Hint := LOGetMess(LOPGNsbFilterH);
                  sbDragInsert.Hint := LOGetMess(LOPGNsbDragInsertH);
                  bPrint.Hint := LOGetMess(LOPGNbPrintH);
                  sbDeleteGame.Hint := LOGetMess(LOPGNsbDeleteGameH);
                  sbDeleteDatabase.Hint := LOGetMess(LOPGNsbDeleteDatabaseH);
                  bCompress.Hint := LOGetMess(LOPGNbCompressH);
                  bECO.Hint := LOGetMess(LOPGNECOH);
                  PGN1.Hint := LOGetMess(LODBListboxH);
                  cbMaterial.Caption := LOGetMess(LOcbMaterial);
      Case lng of
        LO_German : begin
                  hNotation.English := false;
                  SearchBrett.English := false;
                    end
        else begin
                  hNotation.English := true;
                  SearchBrett.English := true;
        end;
      end;
  end;
end;

procedure LOLoadBrettWinStrings(lng : integer; f : TMDIBrett);
begin
  with f do begin
                  mDiaCopy.Caption := LOGetMess(LOBrettmDiaCopy);
                  mDiaCopy.Hint := LOGetMess(LOBrettmDiaCopyH);
                  mFENCopy.Caption := LOGetMess(LOBrettmFENCopy);
                  mFENCopy.Hint := LOGetMess(LOBrettmFENCopyH);
                  mPrint.Caption := LOGetMess(LOBrettmPrint);
                  mPrint.Hint := LOGetMess(LOBrettmPrintH);
                  mAufbauen.Caption := LOGetMess(LOBrettmAufbauen);
                  mAufbauen.Hint := LOGetMess(LOBrettmAufbauenH);
                  mInsertFEN.Caption := LOGetMess(LOBrettmInsertFEN);
                  mInsertFEN.Hint := LOGetMess(LOBrettmInsertFENH);
                  mDrehen.Caption := LOGetMess(LOBrettmDrehen);
                  mDrehen.Hint := LOGetMess(LOBrettmDrehenH);
                  mMessages.Caption := LOGetMess(LOBrettmMessages);
                  mMessages.Hint := LOGetMess(LOBrettmMessagesH);
                  Blind1.Caption := LOGetMess(LOBrettBlind1);
                  Blind1.Hint := LOGetMess(LOBrettBlind1H);
                  Nichts1.Caption := LOGetMess(LOBrettNichts1);
                  Nichts1.Hint := LOGetMess(LOBrettNichts1H);
                  mPGNCopy1.Caption := LOGetMess(LOBrettmPGNCopy1);
                  mPGNCopy1.Hint := LOGetMess(LOBrettmPGNCopy1H);
                  mPGNInsert.Caption := LOGetMess(LOBrettmPGNInsert);
                  mPGNInsert.Hint := LOGetMess(LOBrettmPGNInsertH);

                  Nichts2.Caption := LOGetMess(LOBrettNichts1);
                  mKompensation.Caption := LOGetMess(             LOKompensation          );
                  mGegenspiel.Caption := LOGetMess(               LOGegenspiel            );
                  mInitiative.Caption := LOGetMess(               LOInitiative            );
                  mAngriff.Caption := LOGetMess(                  LOAngriff               );
                  mZeitnot.Caption := LOGetMess(                  LOZeitnot               );
                  mEntwicklungsvorsprung.Caption := LOGetMess(    LOEntwicklungsvorsprung );
                  mNeuerung.Caption := LOGetMess(                 LONeuerung              );
                  mZugzwang.Caption := LOGetMess(                 LOZugzwang              );
                  mEinzigerZug.Caption := LOGetMess(              LOEinzigerZug           );
                  mStellungsBewertung.Caption := LOGetMess(       LOStellungsBewertung    );
                  mMitderIdee.Caption := LOGetMess(               LOMitderIdee            );
                  mBesserist.Caption := LOGetMess(                LOBesserist             );

                  Notation1.Hint := LOGetMess(LOBrettNotation1H);
                  sbSave.Hint := LOGetMess(LOBrettsbSaveH);
                  sbReplace.Hint := LOGetMess(LOBrettsbReplaceH);
                  mGameData.Hint := LOGetMess(LOBrettmGameDataH);
                  bNew.Hint := LOGetMess(LOBrettbNewH);
                  bPrev.Hint := LOGetMess(LOBrettbPrevH);
                  bNext.Hint := LOGetMess(LOBrettbNextH);
                  bUndo.Hint := LOGetMess(LOBrettbUndoH);
                  bCut.Hint := LOGetMess(LOBrettbCutH);
                  bDelete.Hint := LOGetMess(LOBrettbDeleteH);
                  mAufwerten.Hint := LOGetMess(LOBrettmAufwertenH);
                  bComment.Hint := LOGetMess(LOBrettbCommentH);
                  sbAnalyse.Hint := LOGetMess(LOBrettsbAnalyseH);
                  sbPlay.Hint := LOGetMess(LOBrettsbPlayH);
                  sbPrev.Hint := LOGetMess(LOBrettsbPrevH);
                  sbBack.Hint := LOGetMess(LOBrettsbBackH);
                  sbAhead.Hint := LOGetMess(LOBrettsbAheadH);
                  sbNext.Hint := LOGetMess(LOBrettsbNextH);
             //     lTiefe.Hint := LOGetMess(LOBrettlTiefeH);
             //     tbTiefe.Hint := LOGetMess(LOBretttbTiefeH);
                  mNext.Caption := LOGetMess(LOCutnextmoves);
                  mPrev.Caption := LOGetMess(LOCutpreviousmoves);
                  lFRC.Hint := LOGetMess(LOFRCHint);
                  bNextMain.Hint := LOGetMess(LObNextMain);
                  bAutoplay.Hint := LOGetMess(LObAutoplay);

      Brett1.Hint := Notation1.Hint;
      Case lng of
        LO_German : begin
                  Notation1.English := false;
                  Brett1.English := false;
                  Minimax1.English := false;
                    end
        else begin
                  Notation1.English := true;
                  Brett1.English := true;
                  Minimax1.English := true;
        end;
      end;

  end;
end;

procedure LOLoadAboutWinStrings(lng : integer; f : TAboutbox);
begin
  with f do if lng <> LO_German then begin

                  Copyright.Caption       := LOGetMess(LOCreatedw);
                  Label1.Caption          := LOGetMess(LOPicturesof);
                  Label5.Caption          := LOGetMess(LOAnalysismodule);
                  lFischer.Caption        := LOGetMess(LOFischerRandom);
                  Label2.Caption          := LOGetMess(LODoFischercastling);
                  Label3.Caption          := LOGetMess(LOPrintingisonly);
                  lFontInfo.Caption       := LOGetMess(LOFontInfo);
                  Label4.Caption          := LOGetMess(LOOptionallyparameters);
                  Label6.Caption          := LOGetMess(LOHints);
                  OkButton.Caption         := LOGetMess(LOPiecesbOk);
                end;
end;

procedure LOLoadCommentWinStrings(lng : integer; f : TKomm);
begin
  with f do if lng <> LO_German then begin
                  Caption             := LOGetMess(LOInsert);
                  Button3.Caption     := LOGetMess(LOInsert1);
                  bCancel.Caption     := LOGetMess(LOCancel1);
                  bOk.Caption         := LOGetMess(LOPiecesbOk);
  end;
end;

procedure LOLoadSaveWinStrings(lng : integer; f : TfPGNSave);
begin
  with f do if lng <> LO_German then begin
                  Caption            := LOGetMess(LOGameinformation);
                  Label1.Caption     := LOGetMess(LOWhite1);
                  Label3.Caption     := LOGetMess(LOBlack1);
                  Label5.Caption     := LOGetMess(LOEvent1);
                  Label10.Caption    := LOGetMess(LOSite1);
                  Label6.Caption     := LOGetMess(LOYear1);
                  Label8.Caption     := LOGetMess(LOMonth1);
                  Label9.Caption     := LOGetMess(LODay);
                  Label11.Caption    := LOGetMess(LORound);
                  Label7.Caption     := LOGetMess(LOCommentary);
                  GroupBox3.Caption  := LOGetMess(LOResult);
              rbKeinErgebnis.Caption := LOGetMess(LONoresult);
                  lFileName.Caption  := LOGetMess(LOSaveto);
                  bCancel.Caption    := LOGetMess(LOCancel3);
                  bOk.Caption         := LOGetMess(LOPiecesbOk);
  end;
end;

procedure LOLoadPiecesWinStrings(lng : integer; f : TfrmPieces);
begin
  with f do if lng <> LO_German then begin
    Caption          := LOGetMess(LOBrettmFont);
    bFont.Caption  := LOGetMess(LOBrettmFont);
    bCancel.Caption  := LOGetMess(LOPiecesbCancel);
    bOk.Caption      := LOGetMess(LOPiecesbOk);
    GroupBox1.Caption:= LOGetMess(LOPiecesCaption);
    GroupBox2.Caption:= LOGetMess(LOInformantCaption);
  end;
end;

procedure LOLoadEngineWinStrings(lng : integer; f : TfrmEngines);
begin
  with f do if lng <> LO_German then begin
    bOk.Caption         := LOGetMess(LOPiecesbOk);
    bAdd.Caption        := LOGetMess(LOAdd);
    bRemove.Caption     := LOGetMess(LORemove);
  end;
end;

procedure LOLoadTimeWinStrings(lng : integer; f : TTimeDlg);
begin
  with f do if lng <> LO_German then begin
    Caption         := LOGetMess(LOTimeCaption);
    Button1.Caption := LOGetMess(LOPiecesbCancel);
    Button1.Caption := LOGetMess(LOPiecesbOk);
    Label1.Caption  := LOGetMess(LOTimeLabel1);
    Label2.Caption  := LOGetMess(LOTimeLabel2 );
    Button2.Caption := LOGetMess(LOPiecesbCancel);
    cbOnlyOneClock.Caption := LOGetMess(LOcbOnlyOneClock);
  end;
end;

procedure LOLoadMaterialWinStrings(lng : integer; f : TfrmMaterial);
begin
  with f do if lng <> LO_German then begin
    Caption         := LOGetMess(LOcbMaterial);
    BEmpty.Caption := LOGetMess(LObEmpty);
    BOk.Caption := LOGetMess(LOPiecesbOk);
    BCancel.Caption := LOGetMess(LOPiecesbCancel);
  end;
end;

end.


