unit UfrmMaterial;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Brett, ExtCtrls, StdCtrls, SchachProcs, Spin;

type
  TfrmMaterial = class(TForm)
    GroupBox1: TGroupBox;
    fImage2: TImage;
    fImage3: TImage;
    fImage4: TImage;
    fImage5: TImage;
    fImage6: TImage;
    Brett1: TBrett;
    fsImage2: TImage;
    fsImage3: TImage;
    fsImage4: TImage;
    fsImage5: TImage;
    fsImage6: TImage;
    sewQa: TSpinEdit;
    sewQe: TSpinEdit;
    Label1: TLabel;
    sewPa: TSpinEdit;
    Label2: TLabel;
    sewPe: TSpinEdit;
    sewRa: TSpinEdit;
    Label3: TLabel;
    sewRe: TSpinEdit;
    Label4: TLabel;
    sewBa: TSpinEdit;
    sewBe: TSpinEdit;
    Label5: TLabel;
    sewNa: TSpinEdit;
    sewNe: TSpinEdit;
    Label6: TLabel;
    sebNa: TSpinEdit;
    sebNe: TSpinEdit;
    sebPa: TSpinEdit;
    Label7: TLabel;
    sebPe: TSpinEdit;
    sebBe: TSpinEdit;
    Label8: TLabel;
    sebBa: TSpinEdit;
    sebRa: TSpinEdit;
    Label9: TLabel;
    sebRe: TSpinEdit;
    sebQe: TSpinEdit;
    Label10: TLabel;
    sebQa: TSpinEdit;
    bEmpty: TButton;
    bOk: TButton;
    bCancel: TButton;
    cbwQ: TCheckBox;
    cbwR: TCheckBox;
    cbwB: TCheckBox;
    cbwN: TCheckBox;
    cbwP: TCheckBox;
    cbbP: TCheckBox;
    cbbN: TCheckBox;
    cbbB: TCheckBox;
    cbbR: TCheckBox;
    cbbQ: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure bEmptyClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmMaterial: TfrmMaterial;

implementation

uses local, localconst;

{$R *.dfm}

procedure TfrmMaterial.FormCreate(Sender: TObject);
var b : TBitmap;
    i : Integer;
    s : String;
begin
  b := TBitmap.Create;
  try
    b.height := 32;
    b.width := 32;
    Brett1.GetFigurBitmap(wd, b, false);
    fImage2.Picture.assign(b);
    Brett1.GetFigurBitmap(wt, b, false);
    fImage3.Picture.assign(b);
    Brett1.GetFigurBitmap(wl, b, false);
    fImage4.Picture.assign(b);
    Brett1.GetFigurBitmap(ws, b, false);
    fImage5.Picture.assign(b);
    Brett1.GetFigurBitmap(wb, b, false);
    fImage6.Picture.assign(b);
    fImage2.Height := 32;
    fImage2.Width := 32;
    fImage3.Height := 32;
    fImage3.Width := 32;
    fImage4.Height := 32;
    fImage4.Width := 32;
    fImage5.Height := 32;
    fImage5.Width := 32;
    fImage6.Height := 32;
    fImage6.Width := 32;
    Brett1.GetFigurBitmap(sd, b, false);
    fsImage2.Picture.assign(b);
    Brett1.GetFigurBitmap(st, b, false);
    fsImage3.Picture.assign(b);
    Brett1.GetFigurBitmap(sl, b, false);
    fsImage4.Picture.assign(b);
    Brett1.GetFigurBitmap(ss, b, false);
    fsImage5.Picture.assign(b);
    Brett1.GetFigurBitmap(sb, b, false);
    fsImage6.Picture.assign(b);
    fsImage2.Height := 32;
    fsImage2.Width := 32;
    fsImage3.Height := 32;
    fsImage3.Width := 32;
    fsImage4.Height := 32;
    fsImage4.Width := 32;
    fsImage5.Height := 32;
    fsImage5.Width := 32;
    fsImage6.Height := 32;
    fsImage6.Width := 32;
  finally
    b.free;
  end;
end;

procedure TfrmMaterial.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if key = 27 then Modalresult := mrCancel;
end;

procedure TfrmMaterial.bEmptyClick(Sender: TObject);
begin
  sewQa.Value := 0; sewQe.Value := 0;
  sewRa.Value := 0; sewRe.Value := 0;
  sewBa.Value := 0; sewBe.Value := 0;
  sewNa.Value := 0; sewNe.Value := 0;
  sewPa.Value := 0; sewPe.Value := 0;
  sebQa.Value := 0; sebQe.Value := 0;
  sebRa.Value := 0; sebRe.Value := 0;
  sebBa.Value := 0; sebBe.Value := 0;
  sebNa.Value := 0; sebNe.Value := 0;
  sebPa.Value := 0; sebPe.Value := 0;
  cbwQ.Checked := false;
  cbwR.Checked := false;
  cbwB.Checked := false;
  cbwN.Checked := false;
  cbwP.Checked := false;
  cbbQ.Checked := false;
  cbbR.Checked := false;
  cbbB.Checked := false;
  cbbN.Checked := false;
  cbbP.Checked := false;
end;

procedure TfrmMaterial.FormShow(Sender: TObject);
begin
  if LO_lng <> LO_German then LOLoadMaterialWinStrings(LO_lng, self);
end;

end.
