unit dgtb100;

interface

const

 COMINITSUCCES        = 0;
 COMINITERROR         = 1;
 COMGETCOMMSTATEERROR = 2;
 COMSETCOMMSTATEERROR = 3;
 COMSETCOMMTOERROR    = 4;


 SILENT               = 1;
 INITUPDATE           = 2;
 INITUPDATESAFE       = 3;
 UPDATEONLY           = 4;
 UPDATEONLYSAFE       = 5;
 UPDATEBOARDONLY      = 6;
 CONSTANTUPDATEALL    = 7;

 EMPTY                      = 0;

 WHITEPAWN                  = 1;
 WHITEROOK                  = 2;
 WHITEKNIGHT                = 3;
 WHITEBISHOP                = 4;
 WHITEQUEEN                 = 6;
 WHITEKING                  = 5;

 BLACKPAWN                  = 7;
 BLACKROOK                  = 8;
 BLACKKNIGHT                = 9;
 BLACKBISHOP                = 10;
 BLACKQUEEN                 = 12;
 BLACKKING                  = 11;

 TAKES                 =  1;
 KROKADE               =  2;
 LROKADE               =  4;
 OFFERREMISE           =  8;
 ACCEPTREMISE          = 16;
 IRESIGN               = 32;
 MAT                   = 64;
 PAT                   =  128;
 PROMOTION             =  256;
 ENPASSANT             =  512;
 CONFIRMOKE 	       = 1024;
 CONFIRMCLICK 	       = 2048;

 BOARDPOSITIONCHANGED   =     1;
 CLOCKCHANGED           =     2;
 BOARDLOST              =     3;
 BOARDFOUND             =     4;  // not used;
 VERSIONCHANGED         =     5;
 TRADEMARKCHANGED       =     6;
 SERIALNRCHANGED        =     7;
 BUSADRESCHANGED        =      8;
 EEMOVESRECEIVED        =      9;
 STABLEBOARDPOSITION    =     10;
 ROTATIONCHANGED        =     11;
 RESULTWHITEWINS        =     12;
 RESULTBLACKWINS        =     13;
 RESULTDRAW             =     14;
 STARTINGPOSITION       =     15;
 SETUPROTATED           =     16;
 NEWPOSITIONWHITETOMOVE =     17;
 NEWPOSITIONBLACKTOMOVE =     18;
 WHITEMOVENOW           =     19;
 BLACKMOVENOW           =     20;
 SETUPENTERED           =     21;

 STABLETIME             =    500;  // original 700

                                        // these defines:
 DGTTIMEBLOCKFLAGLEFT       = $8;
 DGTTIMEBLOCKFLAGRIGHT      = $1;
 DGTTIMETIMEPERMOVELEFT     = $10;
 DGTTIMETIMEPERMOVERIGHT    = $2;
 DGTTIMEFLAGLEFT            = $20;
 DGTTIMEFLAGRIGHT           = $4;
 DGTTIMERUNNING             = $100;
 DGTTIMETUMBLERLEFT         = $200;
 DGTTIMELOWBATTERY          = $400;
 DGTTIMERIGHTTURN           = $800;
 DGTTIMELEFTTURN            = $1000;
 DGTTIMENOCLOCK             = $2000;

implementation

end.
