program CompoChess;

{%ToDo 'CompoChess.todo'}

uses
  Forms, Windows,
  Main in 'MAIN.PAS' {MainForm},
  PGNWin in 'PGNWin.pas' {MDIPGN},
  About in 'about.pas' {AboutBox},
  BrettWin in 'BrettWin.pas' {MDIBrett},
  PGNSave in 'PGNSave.pas' {fPGNSave},
  Comment in 'Comment.pas' {Komm},
  Local in 'Local.pas',
  uReport in 'uReport.pas' {frmReport},
  uEco in 'uEco.pas' {frmEco},
  localconst in 'localconst.pas',
  UPieces in 'UPieces.pas' {frmPieces},
  AThread in 'AThread.pas',
  UfrmEngines in 'UfrmEngines.pas' {frmEngines},
  UTimedlg in 'UTimedlg.pas' {TimeDlg},
  UfrmMaterial in 'UfrmMaterial.pas' {frmMaterial},
  ExploreWin in 'ExploreWin.pas' {MDIDatabase};

{$R *.RES}

var  OrgWindowProc : pointer;

function MyWindowProc(Wnd : HWnd; Msg : cardinal; wParam : cardinal; lParam : longint) : longint;
  stdcall; far; export;
begin
  MyWindowProc:=0;
  if Msg = WM_APPRUNNING then begin
    if wParam<>Application.Handle then
      SendMessage(wParam, WM_RESPONSE, 0, 0);
  end
  else if Msg = WM_RESPONSE then
    PrevInst := true
  else
  {$R-}
    MyWindowProc:=CallWindowProc(OrgWindowProc, Wnd,Msg, wParam, lParam);
end;

begin
  Application.Initialize;
  Application.Title := 'CompoChess';

  OrgWindowProc:=pointer(GetWindowLong(Application.Handle,GWL_WNDPROC));
  SetWindowLong(Application.Handle,GWL_WNDPROC,longint(@MyWindowProc));
  WM_APPRUNNING := RegisterWindowMessage('TCOMPOCHESSMESSAGE');

  Application.CreateForm(TMainForm, MainForm);
  Application.Run;

  SetWindowLong(Application.Handle,GWL_WNDPROC,longint(OrgWindowProc));
end.
