unit UPieces;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Brett, SchachProcs, Buttons, StdCtrls, ImgList;

type
  TfrmPieces = class(TForm)
    Brett1: TBrett;
    bCancel: TButton;
    bOk: TButton;
    ImageListBold: TImageList;
    GroupBox1: TGroupBox;
    fEdit1: TEdit;
    fImage1: TImage;
    fImage2: TImage;
    fEdit2: TEdit;
    fImage3: TImage;
    fEdit3: TEdit;
    fImage4: TImage;
    fEdit4: TEdit;
    fImage5: TImage;
    fEdit5: TEdit;
    fImage6: TImage;
    fEdit6: TEdit;
    GroupBox2: TGroupBox;
    Image1: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    Image9: TImage;
    Edit9: TEdit;
    Edit8: TEdit;
    Edit7: TEdit;
    Edit6: TEdit;
    Edit5: TEdit;
    Edit4: TEdit;
    Edit3: TEdit;
    Edit2: TEdit;
    Edit1: TEdit;
    Image10: TImage;
    Image11: TImage;
    Image12: TImage;
    Image13: TImage;
    Image14: TImage;
    Image15: TImage;
    Image16: TImage;
    Image17: TImage;
    Image18: TImage;
    Image19: TImage;
    Edit19: TEdit;
    Edit18: TEdit;
    Edit17: TEdit;
    Edit16: TEdit;
    Edit15: TEdit;
    Edit14: TEdit;
    Edit13: TEdit;
    Edit12: TEdit;
    Edit11: TEdit;
    Edit10: TEdit;
    Memo1: TMemo;
    bFont: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure bFontClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    procedure assignFonts;
  public
    { Public-Deklarationen }
  end;

var
  frmPieces: TfrmPieces;

implementation

{$R *.DFM}

uses local, localconst, Main;

procedure TfrmPieces.FormCreate(Sender: TObject);
var b : TBitmap;
    i : Integer;
    s : String;
begin
  b := TBitmap.Create;
  try
    b.height := 32;
    b.width := 32;
    Brett1.GetFigurBitmap(wk, b, false);
    fImage1.Picture.assign(b);
    Brett1.GetFigurBitmap(wd, b, false);
    fImage2.Picture.assign(b);
    Brett1.GetFigurBitmap(wt, b, false);
    fImage3.Picture.assign(b);
    Brett1.GetFigurBitmap(wl, b, false);
    fImage4.Picture.assign(b);
    Brett1.GetFigurBitmap(ws, b, false);
    fImage5.Picture.assign(b);
    Brett1.GetFigurBitmap(wb, b, false);
    fImage6.Picture.assign(b);
    fImage1.Height := 32;
    fImage1.Width := 32;
    fImage2.Height := 32;
    fImage2.Width := 32;
    fImage3.Height := 32;
    fImage3.Width := 32;
    fImage4.Height := 32;
    fImage4.Width := 32;
    fImage5.Height := 32;
    fImage5.Width := 32;
    fImage6.Height := 32;
    fImage6.Width := 32;
  finally
    b.free;
  end;
  s := '';
  For i := 32 to 255 do
    s := s + chr(i);
  Memo1.Text := s;
end;

procedure TfrmPieces.FormShow(Sender: TObject);
begin
  assignFonts;
  if LO_lng <> LO_German then LOLoadPiecesWinStrings(LO_lng, self);
end;

procedure TfrmPieces.assignFonts;
begin
  with Mainform do begin
  Memo1.Font.Assign(FontDialog1.Font);
  Edit1.Font.Assign(FontDialog1.Font); 
  Edit2.Font.Assign(FontDialog1.Font); 
  Edit3.Font.Assign(FontDialog1.Font); 
  Edit4.Font.Assign(FontDialog1.Font);
  Edit5.Font.Assign(FontDialog1.Font); 
  Edit6.Font.Assign(FontDialog1.Font); 
  Edit7.Font.Assign(FontDialog1.Font); 
  Edit8.Font.Assign(FontDialog1.Font);
  Edit9.Font.Assign(FontDialog1.Font); 
  Edit10.Font.Assign(FontDialog1.Font);
  Edit11.Font.Assign(FontDialog1.Font);
  Edit12.Font.Assign(FontDialog1.Font);
  Edit13.Font.Assign(FontDialog1.Font);
  Edit14.Font.Assign(FontDialog1.Font);
  Edit15.Font.Assign(FontDialog1.Font);
  Edit16.Font.Assign(FontDialog1.Font);
  Edit17.Font.Assign(FontDialog1.Font);
  Edit18.Font.Assign(FontDialog1.Font);
  Edit19.Font.Assign(FontDialog1.Font);
  end;
end;

procedure TfrmPieces.bFontClick(Sender: TObject);
begin
  if Mainform.FontDialog1.Execute then
    assignFonts;
end;

procedure TfrmPieces.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = 27 then ModalResult := mrCancel;
end;

end.
