unit UfrmEngines;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmEngines = class(TForm)
    ListBox1: TListBox;
    bAdd: TButton;
    bRemove: TButton;
    bOk: TButton;
    OpenDialog1: TOpenDialog;
    procedure bAddClick(Sender: TObject);
    procedure bRemoveClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmEngines: TfrmEngines;

implementation

{$R *.DFM}

uses local, Main;

procedure TfrmEngines.bAddClick(Sender: TObject);
begin
  Mainform.taggleAnalysis(true);
  try
    if OpenDialog1.Execute then
      Listbox1.Items.Add(OpenDialog1.Filename);
  finally
    Mainform.taggleAnalysis(false);
  end;
end;

procedure TfrmEngines.bRemoveClick(Sender: TObject);
begin
  if Listbox1.Itemindex <> -1 then
    Listbox1.Items.Delete(Listbox1.Itemindex);
end;

procedure TfrmEngines.FormShow(Sender: TObject);
begin
  if LO_lng <> LO_German then LOLoadEngineWinStrings(LO_lng, self);
end;

procedure TfrmEngines.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key = 27 then ModalResult := mrCancel;
end;

end.
