unit uReport;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, quickrpt, ChessPrint, StdCtrls, ComCtrls, Qrctrls;

type                                     
  TfrmReport = class(TForm)
    ChessReport: TQuickRep;
    bandDetail: TQRBand;
    QRChessRichText1: TQRChessRichText;
    procedure ChessReportNeedData(Sender: TObject; var MoreData: Boolean);
    procedure FormCreate(Sender: TObject);
  private
    done : Boolean;
  public
    { Public-Deklarationen }
  end;

const sPGN : string = '1234567890qwertzuiop+asdfghjkl#<yxcvbnm,.-1234567890qwertzuiop+asdfghjkl#<yxcvbnm,.-';

var
  frmReport: TfrmReport;

implementation

uses Main;

{$R *.DFM}

procedure TfrmReport.ChessReportNeedData(Sender: TObject;
  var MoreData: Boolean);
begin
  if Tag = 0 then moredata := QRChessRichText1.ProcessPGN
  else begin
    MoreData := not Done;
    Done := true;
  end;  
end;

procedure TfrmReport.FormCreate(Sender: TObject);
begin
  if Mainform.m1Echecs.Checked then
    QRChessRichText1.FontDia.Name := '1Echecs'
  else
    QRChessRichText1.FontDia.Name := 'Chess Merida';
end;

end.
